« [Ruby] Clogger | トップページ | [Ruby] Rabbit »

2009年9月 9日 (水)

[Ruby] Caty


0.0.1 が公開されました(ruby-talk:345972)。



コマンドラインオプションをインスタンスメソッドにダイレクトにマッピングするコマンドラインパーザ。
optparse.rb なんかと競合するライブラリ。



試してみた。



$ sudo gem install caty
$ cat catyt.rb
require 'caty'
class Foo < Caty
def cmd1
puts "this is cmd1"
end
def cmd2
puts "this is cmd2"
end
end
Foo.start!
$ ruby catyt.rb cmd1
There is no task named `cmd1'


うーん。期待通りに 1.9.2dev では動作しませんでした。
本当は、Foo#cmd1 が実行されるはずなんだけど...。


|

« [Ruby] Clogger | トップページ | [Ruby] Rabbit »

コメント

この記事へのコメントは終了しました。